<?php
header('Content-type:text/html; charset=utf-8');
//конфига с настройками БД
include('config.inc');

mysql_connect('localhost',$user,$password);
@mysql_select_db($db_name) or die('Ошибка коннекта к БД.');
//установка кодировки
mysql_query('SET NAMES utf8');

$action      = $_POST['action'];


switch($action){
	//залогиниваемся
	case 0:
		$login    = $_POST['login'];
		$password = $_POST['pass'];			
		$query    = mysql_query("SELECT * FROM users WHERE login='$login'") or die(mysql_error());
		$result   = mysql_fetch_assoc($query);
		if($password != $result['password']){
			$message  = 'Неправильный пароль, попробуйте ещё раз.';		
		}else{
			$message = 'Вход выполнен.';
			$islog = true;
		}
	break;
	//создаем новый
	case 1:
		$login    = $_POST['login'];
		$password = $_POST['pass'];	
		$email	  = $_POST['email'];
		$query    = mysql_query("SELECT * FROM users WHERE login='$login'") or die(mysql_error());
		$result   = mysql_fetch_assoc($query);
		$reg_error = null;	
		if(strlen($password) < 4 || strlen($login) < 4){
			$reg_error = 1;
			$message = 'Длина логина или пароля не должна быть меньше 4 символов.';			
		}
		if(preg_match('/^([0-9])/',$login)){
			$reg_error = 1;
			$message = 'Имя должно начинаться с буквы.';			
		}
		if(!preg_match("/^[\.\-_A-Za-z0-9]+?@[\.\-A-Za-z0-9]+?\.[A-Za-z0-9]{2,6}$/", $email)){
			$reg_error = 1;
			$message = 'Адрес почты введен неправильно';
		//	exit();
		}
		if($reg_error == null){
			if($result['login'] == null){
				$string = "1,2,3,4,5";
				$password = md5($password);
				$q = "INSERT INTO users VALUES('','{$login}','{$password}','{$email}','{$string}')";
				mysql_query($q);
				//$message = mysql_error();
				$message = "Спасибо за регистрацию. Теперь авторизуйтесь";
			}else{
				$message = 'Такой логин уже существует, попробуйте другой';
			}
		}
	break;
	//ритрив пароля если забыли 
	case 2:
		$email = $_POST['email'];
		$query    = mysql_query("SELECT * FROM users WHERE email='$email'");
		$result   = mysql_fetch_assoc($query);
		//$message = $email;
		if($result['email'] != null){
			$message = "Ну тут как бы отправляем новый пароль,\nа так ваш пасс - <b>".$result['password']."</b>";
		}else{
			$message = "Введенного адреса e-mail не существует.\nПроверьте правильность адреса.";
		}
	break;
	//получаем список юзеров
	case 3:
		$query1 = mysql_query("SELECT * FROM users ORDER BY id ASC") or die(mysql_error());
		$listing = null;
		while($list = mysql_fetch_assoc($query1)){
			$listing .=$list['login']."\n";
		}
	echo "&userMess=".$listing;		
	
	break;
}


//отсылка во флеш сообщения
echo '&Message='.$message;

?>